<?
include_once("./_common.php");
//-- 이미지 리사이즈

$bo_table = strtolower($_POST['bo_table']);
$wr_id = strtolower(strip_tags($_POST['wr_id']));

//-- 이미지 목록 구하기
$tablename	= $g4[board_file_table];		//-- 첨부파일
$rs			= sql_query("select * from $tablename where bo_table='$bo_table' and wr_id='$wr_id'");

//-- 이미지 리사이즈
while($rd = sql_fetch_array($rs)) {
	//-- 첨부 파일이 이미지인가?
	$filepath	= $g4[path] . "/data/file/" . $bo_table . "/" . $rd[bf_file];
	if($rd[bf_type] > 0) resize_check($filepath);
}



//-- 크기를 줄이도록 설정 돼 있다면 리사이징 ----
function resize_check($file_path){
	global $zm_board;

	if(file_exists($file_path) && ($zm_board[imagewidthsize] > 0)){
		//-- 이미지 축소
		$imginfo	= @getimagesize($file_path);
		$imgtype	= strtolower($imginfo[mime]);

		if(($imgtype == "image/gif") || ($imgtype == "image/jpg") || ($imgtype == "image/jpeg") || ($imgtype == "image/png")) {
			$ratio_s	=  $zm_board[imagewidthsize] / $imginfo[0];
			$size_w		= $zm_board[imagewidthsize];
			$size_h		= round($imginfo[1] * $ratio_s);
			if($imginfo[0] > $zm_board[imagewidthsize]) zm_makethumb("$file_path", $size_w, $size_h, 1);
		}
	}
}

die("{\"bo_table\":\"$bo_table\",\"wr_id\":\"$wr_id\"}");
?>